SegmentPerPolyline property example

Sub SegmentPerPolyline_Example()

' This example returns the current setting of SegmentPerPolyline.

     Dim iCurrentNumSegs As Integer

     Dim iNewNumSegs As Integer

     iCurrentNumSegs = ThisDrawing.preferences.SegmentPerPolyline

     MsgBox "The SegmentPerPolyline property is: " & iCurrentNumSegs

     iNewNumSegs = InputBox("New value for number of segments per polyline:")

     ThisDrawing.preferences.SegmentPerPolyline = iNewNumSegs

     MsgBox "The SegmentPerPolyline property is: " & ThisDrawing.preferences.SegmentPerPolyline

     MsgBox "Resetting the SegmentPerPolyline property to: " & iCurrentNumSegs

     ThisDrawing.preferences.SegmentPerPolyline = iCurrentNumSegs

     MsgBox "The SegmentPerPolyline property is: " & ThisDrawing.preferences.SegmentPerPolyline

End Sub

 

 


Bricscad™ is commercialized by Bricsys NV. Bricsys NV and Vondle NV are fully owned subsidiaries of Menhirs NV. © 2001- Menhirs NV - All rights reserved.